/**
 * DataCleaner (community edition)
 * Copyright (C) 2014 Neopost - Customer Information Management
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution; if not, write to:
 * Free Software Foundation, Inc.
 * 51 Franklin Street, Fifth Floor
 * Boston, MA  02110-1301  USA
 */
package org.datacleaner.job.builder;

import org.datacleaner.api.HasAnalyzerResult;
import org.datacleaner.job.AnalysisJob;

/**
 * Exception thrown if trying to build an {@link AnalysisJob} from an
 * {@link AnalysisJobBuilder} while it does not yet contain any
 * {@link HasAnalyzerResult} components.
 */
public class NoResultProducingComponentsException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    public NoResultProducingComponentsException() {
        super("No result producing components in job");
    }
}
